Skip to main content
GET
Shell

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Path Parameters

asset
string
required

Asset name.

Query Parameters

txids
string[]

Comma separated list of transaction identifiers (txid) to track.

replacements_for_txids
string[]

BTC asset only.
Comma separated list of transaction identifiers (txid) to get the corresponding replacement transactions for.
Mutually exclusive with txids.

replacements_only
boolean

BTC asset only.
Boolean indicating if the response should contain only the replacement transactions.

addresses
string[]

BTC asset only.
Comma separated list of bitcoin addresses to track transactions for. Transactions in which at least one of the addresses is either a sender or recipient will be returned.
By default only transactions currently in mempool are returned. To return all associated transactions use unconfirmed_only=false parameter.
Mutually exclusive with txids, replacements_for_txids, replacements_for_txids parameters.

unconfirmed_only
boolean

BTC asset only.
Can be used only in conjunction with addresses parameter. Controls whether all or only unconfirmed transactions (currently in mempool) are returned.

start_time
string

Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.

end_time
string

End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.

start_inclusive
boolean
default:true

Inclusive or exclusive corresponding start_* parameters.

end_inclusive
boolean
default:true

Inclusive or exclusive corresponding end_* parameters.

timezone
string
default:UTC

Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.

Example:

"America/New_York"

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
pretty
boolean
default:false

Human-readable formatting of JSON responses.

format
enum<string>
default:json

Format of the response.

Available options:
json,
csv
next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

Response

Current status and its updates for the requested transactions.

Transaction tracker response.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.